ModelManager
Date: 2019-10-22

org.jmol.viewer

## Class ModelManager

- java.lang.Object
- - org.jmol.viewer.ModelManager

-     class ModelManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `fileName`
    `(package private) ModelSet` | `modelSet`
    `(package private) java.lang.String` | `modelSetPathName`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelManager(Viewer vwr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `createAtomDataSet(java.lang.Object atomSetCollection, int tokType)`
    `(package private) void` | `createModelSet(java.lang.String fullPathName, java.lang.String fileName, javajs.util.SB loadScript, java.lang.Object atomSetCollection, javajs.util.BS bsNew, boolean isAppend)`
    `private static java.lang.String` | `reduceFilename(java.lang.String fileName)`
    `(package private) void` | `zap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private final Viewer vwr

    - #### modelSet

          ModelSet modelSet

    - #### modelSetPathName

          java.lang.String modelSetPathName

    - #### fileName

          java.lang.String fileName

  - ### Constructor Detail

    - #### ModelManager

          ModelManager(Viewer vwr)

  - ### Method Detail

    - #### zap

          void zap()

    - #### createModelSet

          void createModelSet(java.lang.String fullPathName,
                              java.lang.String fileName,
                              javajs.util.SB loadScript,
                              java.lang.Object atomSetCollection,
                              javajs.util.BS bsNew,
                              boolean isAppend)

    - #### reduceFilename

          private static java.lang.String reduceFilename(java.lang.String fileName)

    - #### createAtomDataSet

          java.lang.String createAtomDataSet(java.lang.Object atomSetCollection,
                                             int tokType)